/* ====================================================================
 *
 * � 2010 Infosys Technologies Limited, Bangalore, India. All rights reserved. 
 * Infosys Test Automation Accelerator * Version: 6.7

 * Except for any open source software components embedded in this Infosys proprietary software program 
 * ("Program"), this Program is protected by copyright laws, international treaties and other pending or existing intellectual
 * property rights in India, the United States 
 * and other countries. Except as expressly permitted, any unauthorized reproduction, storage, transmission in any form 
 * or by any means (including without limitation electronic, mechanical, printing, photocopying, recording or otherwise),
 * or any distribution of this Program, or any portion of it, may result in severe civil and criminal penalties, and will be prosecuted to the maximum extent possible under the law.

 ======================================================================*/
package com.infosys.itaw.role.persistence.dto;

public class PrivilegeDTO {

	int IPrivilegeId;
	String strObject;
	char cOperation;
	

	/**
	 * Gets the operation to char
	 * @param 	
	 * @return 	operation
	 */
	public char getCOperation() {
		return cOperation;
	}

	/**
	 * Sets the operation 
	 * @param 	operation-operation as char
	 * @return 	
	 */
	public void setCOperation(char operation) {
		cOperation = operation;
	}

	/**
	 * Gets the privilege id to int
	 * @param 	
	 * @return 	privilege id
	 */
	public int getIPrivilegeId() {
		return IPrivilegeId;
	}

	/**
	 * Sets the privilege id 
	 * @param 	privilegeId-privilege id as int
	 * @return 	
	 */
	public void setIPrivilegeId(int privilegeId) {
		IPrivilegeId = privilegeId;
	}

	/**
	 * Gets the object to String
	 * @param 	
	 * @return 	object
	 */
	public String getStrObject() {
		return strObject;
	}

	/**
	 * Sets the object detail 
	 * @param 	strObject-object details as string
	 * @return 	
	 */
	public void setStrObject(String strObject) {
		this.strObject = strObject;
	}
}
