/* ====================================================================
 *
 * � 2010 Infosys Technologies Limited, Bangalore, India. All rights reserved. 
 * Infosys Test Automation Accelerator * Version: 6.7

 * Except for any open source software components embedded in this Infosys proprietary software program 
 * ("Program"), this Program is protected by copyright laws, international treaties and other pending or existing intellectual
 * property rights in India, the United States 
 * and other countries. Except as expressly permitted, any unauthorized reproduction, storage, transmission in any form 
 * or by any means (including without limitation electronic, mechanical, printing, photocopying, recording or otherwise),
 * or any distribution of this Program, or any portion of it, may result in severe civil and criminal penalties, and will be prosecuted to the maximum extent possible under the law.

 ======================================================================*/
/*****************************************************************************
 *   Revision History
 *   ------------------
 *   Name         :  UserRoleDTO.java
 *   Author       :  Kirty_vs
 *   Date         :  10/August/2007
 *   Description  :  This is the Data transfer object class.
 *
 *   $Log		  :  UserRoleDTO.java,v $
 *	 #  
 *	 #  
 *	 #  
 *****************************************************************************/
package com.infosys.itaw.role.persistence.dto;

/*importing java classes*/
import java.io.Serializable;


public class RolePrivilegesDTO implements Serializable{

	/**
	 * 
	 */
	private static final long serialVersionUID = 1L;
	int iRoleId;
	int iPrivilegeId;

	/**
	 * Gets the privilege id to int
	 * @param 	
	 * @return 	privilege id 
	 */
	public int getIPrivilegeId() {
		return iPrivilegeId;
	}

	/**
	 * Sets the privilege id 
	 * @param 	privilegeId-privilege id as int
	 * @return 	
	 */
	public void setIPrivilegeId(int privilegeId) {
		iPrivilegeId = privilegeId;
	}

	/**
	 * Gets the role id to int
	 * @param 	
	 * @return 	role id
	 */
	public int getIRoleId() {
		return iRoleId;
	}

	/**
	 * Sets the role id 
	 * @param 	roleId-role id as int
	 * @return 	
	 */
	public void setIRoleId(int roleId) {
		iRoleId = roleId;
	}
	
}
