angular.module("iTAWRoutes", [ 'ui.router']).config(config);

function config($stateProvider, $urlRouterProvider) {
   var fileRelativePath = './resources/app/components/';
  // $urlRouterProvider.otherwise('/login');
    $stateProvider
    .state('login', {
    	
    	url : '/login',
    	templateUrl: './resources/app/components/login/login.view.html',
    	  controller: 'LoginController'
    	})
    	.state('users', {
    		url : '/users',
    		templateUrl: fileRelativePath+'users/user.view.html',
        	
      	  controller: 'UserController as vm'
      	})
      	.state('roles', {
      		url : '/roles',
      		templateUrl: fileRelativePath+'roles/role.view.html',
      	  controller: 'RoleController as vm'
      	}
      	).state('projects', {
      		url : '/projects',
      		templateUrl: fileRelativePath+'projects/project.view.html',
        	  controller: 'ProjectController as vm'
        	})
}
