/* ====================================================================
 *
 * � 2010 Infosys Technologies Limited, Bangalore, India. All rights reserved. 
 * Infosys Test Automation Accelerator * Version: 6.7

 * Except for any open source software components embedded in this Infosys proprietary software program 
 * ("Program"), this Program is protected by copyright laws, international treaties and other pending or existing intellectual
 * property rights in India, the United States 
 * and other countries. Except as expressly permitted, any unauthorized reproduction, storage, transmission in any form 
 * or by any means (including without limitation electronic, mechanical, printing, photocopying, recording or otherwise),
 * or any distribution of this Program, or any portion of it, may result in severe civil and criminal penalties, and will be prosecuted to the maximum extent possible under the law.

 ======================================================================*/
package com.infosys.itaw.project.persistence.dto;

import javax.persistence.Entity;
import javax.persistence.GeneratedValue;
import javax.persistence.Id;
import javax.xml.bind.annotation.XmlRootElement;

/*******************************************************************************
 * Description : This is the POJO class for Projects_Master table
 * 
 * External Objects called :
 * 
 * Requirement No :
 * 
 * Known Bugs : none
 * 
 * Modification Log Date Author Description
 * ------------------------------------------------------------ 30-Jul-2007
 * Ajeeti_s Created
 ******************************************************************************/
//@Entity
//@XmlRootElement(name = "project")
public class ProjectDTO {

	private int iProjectId;
	private String strProjectName;
	private String strProjectDesc;
	private String strProjectCode;
	private String strManager;
	private String strManagerEmail;
	private int iProjectType;
	private String strProjectToolType;
	private String strProjectToolVersion;
	private String strBddType;

	/**
	 * @return the iProjectId
	 */
	public int getIProjectId() {
		return iProjectId;
	}

	/**
	 * @param projectId
	 *            the iProjectId to set
	 */
	public void setIProjectId(int projectId) {
		iProjectId = projectId;
	}

	/**
	 * @return the iProjectType
	 */
	public int getIProjectType() {
		return iProjectType;
	}

	/**
	 * @param projectType
	 *            the iProjectType to set
	 */
	public void setIProjectType(int projectType) {
		iProjectType = projectType;
	}

	/**
	 * @return the strManager
	 */
	public String getStrManager() {
		return strManager;
	}

	/**
	 * @param strManager
	 *            the strManager to set
	 */
	public void setStrManager(String strManager) {
		this.strManager = strManager;
	}

	/**
	 * @return the strManagerEmail
	 */
	public String getStrManagerEmail() {
		return strManagerEmail;
	}

	/**
	 * @param strManagerEmail
	 *            the strManagerEmail to set
	 */
	public void setStrManagerEmail(String strManagerEmail) {
		this.strManagerEmail = strManagerEmail;
	}

	/**
	 * @return the strProjectCode
	 */
	public String getStrProjectCode() {
		return strProjectCode;
	}

	/**
	 * @param strProjectCode
	 *            the strProjectCode to set
	 */
	public void setStrProjectCode(String strProjectCode) {
		this.strProjectCode = strProjectCode;
	}

	/**
	 * @return the strProjectDesc
	 */
	public String getStrProjectDesc() {
		return strProjectDesc;
	}

	/**
	 * @param strProjectDesc
	 *            the strProjectDesc to set
	 */
	public void setStrProjectDesc(String strProjectDesc) {
		this.strProjectDesc = strProjectDesc;
	}

	/**
	 * @return the strProjectName
	 */
	public String getStrProjectName() {
		return strProjectName;
	}

	/**
	 * @param strProjectName
	 *            the strProjectName to set
	 */
	public void setStrProjectName(String strProjectName) {
		this.strProjectName = strProjectName;
	}

	/**
	 * @return the strProjectToolType
	 */
	public String getStrProjectToolType() {
		return strProjectToolType;
	}

	/**
	 * @param strProjectToolType
	 *            the strProjectToolType to set
	 */
	public void setStrProjectToolType(String strProjectToolType) {
		this.strProjectToolType = strProjectToolType;
	}

	public String getStrProjectToolVersion() {
		return strProjectToolVersion;
	}

	public void setStrProjectToolVersion(String strProjectToolVersion) {
		this.strProjectToolVersion = strProjectToolVersion;
	}

	public String getStrBddType() {
		return strBddType;
	}

	public void setStrBddType(String strBddType) {
		this.strBddType = strBddType;
	}

}
