/* ====================================================================
 *
 * � 2010 Infosys Technologies Limited, Bangalore, India. All rights reserved. 
 * Infosys Test Automation Accelerator * Version: 6.7

 * Except for any open source software components embedded in this Infosys proprietary software program 
 * ("Program"), this Program is protected by copyright laws, international treaties and other pending or existing intellectual
 * property rights in India, the United States 
 * and other countries. Except as expressly permitted, any unauthorized reproduction, storage, transmission in any form 
 * or by any means (including without limitation electronic, mechanical, printing, photocopying, recording or otherwise),
 * or any distribution of this Program, or any portion of it, may result in severe civil and criminal penalties, and will be prosecuted to the maximum extent possible under the law.

 ======================================================================*/
/*****************************************************************************
 *   Revision History
 *   ------------------
 *   Name         :  UserRoleDTO.java
 *   Author       :  Kirty_vs
 *   Date         :  10/August/2007
 *   Description  :  This is the Data transfer object class.
 *
 *   $Log		  :  UserRoleDTO.java,v $
 *	 #  
 *	 #  
 *	 #  
 *****************************************************************************/
package com.infosys.itaw.user.persistence.dto;

/*importing java classes*/
import java.io.Serializable;

/**
 * DTO class for User_roles table
 * @author Kirty_vs
 *
 */
public class UserRoleDTO implements Serializable{
	/**
	 * 
	 */
	private static final long serialVersionUID = 1L;
	int iUserId;
	int iRoleId;
	/**
	 * @return the iUserId
	 */
	public int getiUserId() {
		return iUserId;
	}
	/**
	 * @param iUserId the iUserId to set
	 */
	public void setiUserId(int iUserId) {
		this.iUserId = iUserId;
	}
	/**
	 * @return the iRoleId
	 */
	public int getiRoleId() {
		return iRoleId;
	}
	/**
	 * @param iRoleId the iRoleId to set
	 */
	public void setiRoleId(int iRoleId) {
		this.iRoleId = iRoleId;
	}
	

	

}
